Bug 66299 - Legacy apps lost access to truetype fonts
Legacy apps lost access to truetype fonts
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-06-07 05:41 EDT by Nicolas Mailhot
Modified: 2007-04-18 12:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-10 06:04:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XF86Config (2.56 KB, text/plain)
2002-06-10 04:22 EDT, Nicolas Mailhot
no flags Details
XftConfig (3.39 KB, text/plain)
2002-06-10 04:23 EDT, Nicolas Mailhot
no flags Details
fs/config (1.10 KB, text/plain)
2002-06-10 04:23 EDT, Nicolas Mailhot
no flags Details

  None (edit)
Description Nicolas Mailhot 2002-06-07 05:41:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020528

Description of problem:
I've synced two boxes with Raw Hide today and noticed all legacy apps lost
access to TrueType fonts (for example xfontsel will only list type1 fonts, not
truetype ones)
Strangely anough gnome2 apps are fine

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Upgrade to latest rawhide.
I suppose the problem lies in one of the XFree86 rpms or in freetype

I can provide a list of installed rpms if necessary

Actual Results:  emacs complains at startup about faces, gnome1-apps ui nows
uses minuscule fonts, evo & galeon are ugly...

A lot of apps are rendered inusable pending fixes. Since I use 100dpi monitors
the 75dpi fallbacks just don't cut it

Expected Results:  These apps should have displayed cleanly using the configured
TT fonts

Additional info:

(Note that I wonder what would happen if mkfondir changed its font descriptions
too much as all old control-center capplets do not exist anymore. How would one
change the gtkhtml font for example ?)
Comment 1 Mike A. Harris 2002-06-09 22:24:05 EDT
Please attach your /etc/X11/fs/config, your X server config to the bug
report using the link below.

It is possible that the problem you are seeing might be a transient of some
kind as we switch to fontconfig/Xft2 infrastructure.

Also be sure to restart xfs and X any time you update either of them.
Comment 2 Havoc Pennington 2002-06-09 22:44:35 EDT
gnome 2 works fine since it's on a whole different font architecture (fontconfig
if you have the very bleeding edge, Xft1 otherwise). But the core font
configuration is apparently horked.
Comment 3 Nicolas Mailhot 2002-06-10 04:19:24 EDT
I always do mkfontdirs and xfs restart whenever font config is borked,
unfortunately (maybe because I have an ISO-8859-15 locale) any X upgrade seems
to eat the "fixed" font on my setups without this.

Anyway here are my config files
Comment 4 Nicolas Mailhot 2002-06-10 04:22:12 EDT
Created attachment 60265 [details]
Comment 5 Nicolas Mailhot 2002-06-10 04:23:07 EDT
Created attachment 60266 [details]
Comment 6 Nicolas Mailhot 2002-06-10 04:23:49 EDT
Created attachment 60267 [details]
Comment 7 Nicolas Mailhot 2002-06-10 04:26:23 EDT
Comment 8 Nicolas Mailhot 2002-06-10 06:04:38 EDT
Just installed the fontconfig rpm (didn't knew there was one till now), didn't
change anything (but didn't break anything new, that's a relief:)
Comment 9 Nicolas Mailhot 2002-06-13 07:45:49 EDT
Latest rawhide is now ok


(I do wonder which one of these fixed it:)
Comment 10 Owen Taylor 2002-06-13 11:30:30 EDT
I'd guess the freetype upgrade; FreeType-2.1.0 had problems
with the charmaps in a lot of fonts.

Note You need to log in before you can comment on or make changes to this bug.